<?php

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

use Carbon_Fields\Field;

return array(
    Field::make( 'separator', 'crb_fsd_sb_separator_close_button', __( 'Close button', 'fsd-simple-banner' ) ),

    Field::make( 'checkbox', 'crb_fsd_sb_show_banner_close_button', 'Show button' )
        ->set_default_value('yes')
        ->set_option_value( 'yes' )
        ->set_width( 33 )
        ->set_help_text( 'Adds a button that user can click to hide banner. Banner will stay hidden for 7 days once clicked' )
        ->set_classes( 'field-checkbox' ),
    Field::make( 'text', 'crb_fsd_sb_banner_close_button_size', __( 'Size', 'fsd-simple-banner' ) )
        ->set_width( 33 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(20)
        ->set_classes( 'field-px conditional-close' ),

    Field::make( 'color', 'crb_fsd_sb_banner_close_button_colour', __( 'Colour', 'fsd-simple-banner' ) )
        ->set_width( 33 )
        ->set_default_value('#000000')
        ->set_help_text( 'Select icon colour' )
        ->set_classes('conditional-close'),

    Field::make( 'separator', 'crb_fsd_sb_separator_banner', __( 'Banner', 'fsd-simple-banner' ) ),
    Field::make( 'select', 'crb_fsd_sb_banner_shadow', __( 'Add shadow', 'fsd-simple-banner' ) )
        ->set_options( array(
            'yes' => 'Yes',
            'no' => 'No',
        ) )->set_width( 20 ),

    Field::make( 'color', 'crb_fsd_sb_banner_colour', __( 'Background colour', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_help_text( 'Select background colour for banner' )
        ->set_default_value('#FFFFFF'),

    Field::make( 'text', 'crb_fsd_sb_banner_padding', __( 'Padding', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_help_text( 'Set paddings top/bottom in px' )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(24),
    Field::make( 'text', 'crb_fsd_sb_banner_border_radius', __( 'Border radius', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(0)
        ->set_classes( 'field-px' ),

    Field::make( 'separator', 'crb_fsd_sb_separator_typography', __( 'Typography', 'fsd-simple-banner' ) )
        ->set_help_text( 'Select styling for texts' ),

    Field::make( 'color', 'crb_fsd_sb_banner_text_colour', __( 'Text colour', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_default_value('#000000'),

    Field::make( 'color', 'crb_fsd_sb_banner_link_colour', __( 'Link colour', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_default_value('#104684'),

    Field::make( 'color', 'crb_fsd_sb_banner_link_hover_colour', __( 'Link hover colour', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_default_value('#4677AD'),

    Field::make( 'text', 'crb_fsd_sb_banner_font_size', __( 'Font size', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(16)
        ->set_classes( 'field-px' ),

);
?>